export interface ContextMenuLocale {
    [key: string]: {
        close: string;
        closeAbove: string;
        closeAll: string;
        closeBelow: string;
        closeLeft: string;
        closeOthers: string;
        closeRight: string;
        reload: string;
    };
}
declare type ContextMenuLocaleValue = ContextMenuLocale[keyof ContextMenuLocale];
export declare const defaultLocales: {
    en: ContextMenuLocaleValue;
    vi: ContextMenuLocaleValue;
};
export declare const key = "vnt-i18n";
export declare function mergeWithDefaultLocales(options: ContextMenuLocale): ContextMenuLocale;
export declare function useContextMenu(group: string, navType: "vertical" | "horizontal"): {
    actions: import("vue").ComputedRef<{
        disabled: boolean;
        id: string;
        text: string;
    }[]>;
    contextMenu: any;
    onMenuClick: (actionId: string) => void;
    showContextMenu: (e: MouseEvent, tabId: string) => void;
};
export {};
